cURL
curl --request PUT \
--url https://api.vaultcord.com/allowlist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userid": "720820224877789204",
"ip": "1.1.1.1",
"fingerprint": "782c2b71aef697c83284ef3ab4cb593c",
"domain": "gmail.com",
"region": "ENG",
"country": "DZ",
"asn": 13335
}
'import requests
url = "https://api.vaultcord.com/allowlist"
payload = {
"userid": "720820224877789204",
"ip": "1.1.1.1",
"fingerprint": "782c2b71aef697c83284ef3ab4cb593c",
"domain": "gmail.com",
"region": "ENG",
"country": "DZ",
"asn": 13335
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userid: '720820224877789204',
ip: '1.1.1.1',
fingerprint: '782c2b71aef697c83284ef3ab4cb593c',
domain: 'gmail.com',
region: 'ENG',
country: 'DZ',
asn: 13335
})
};
fetch('https://api.vaultcord.com/allowlist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added to allowlist."
}{
"success": false,
"message": "New login required #2"
}Allowlists
Add Allowlist
Add allowlist to VaultCord
PUT
/
allowlist
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the resource
Body
application/json
Details of the VaultCord firewall bypass or exemption. Many attributes or properties accepted, specify one or many if preferred.
Discord snowflake ID for the member/user.
Example:
"720820224877789204"
IP address to allowlist
Example:
"1.1.1.1"
Browser fingerprint to allowlist
Example:
"782c2b71aef697c83284ef3ab4cb593c"
Email address domain to allowlist
Example:
"gmail.com"
Region code from ip-api.com to allowlist
Example:
"ENG"
Country code from ip-api.com to allowlist
Example:
"DZ"
ASN number from ip-api.com to allowlist
Example:
13335
Was this page helpful?
⌘I